Subject: Notification: incoming/1051

From: [email-masked]
Date: Tue, 24 Jun 2003 22:42:55 -0500

FVWM Bug Tracking notification

new message incoming/1051

Message summary for PR#1051
	From: [email-masked]
	Subject: Fvwm and Java problems again
	Date: Tue, 24 Jun 2003 22:42:55 -0500
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Tue Jun 24 22:42:55 2003
Date: Tue, 24 Jun 2003 22:42:55 -0500
From: [email-masked]
To: [email-masked]
Subject: Fvwm and Java problems again

Full_Name: Neil Zanella
Version: 2.4.16
CVS_Date: 
OS: 
X_Server: 
Submission from: (NULL) (129.128.207.197)

Hello,

Once again fvwm support for java swing applications is plain bad.
I installed the following from Sun's site:

j2sdk-1_4_1_02-s1studio_ce-4u1-bin-linux.bin

The buttons at the bottom do not even show up, but they do with any other
window manager (such as window maker). Last year I also had a problem with
fvwm not setting the correct size of launched applications on startup.
Another time I had a problem with a Qt application not rsponding
well to resize events: the problem was fixed under sawfish, but
persists under fvwm. So, I don't know what fvwm is doing differently,
but it's doing something wrong. Blame it on Java, but every other
WM out there does it right. Just try to install the above from
Sun's site.

Regards,

Neil

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]